module RabbitFileSplit
  module ByteFormat

    def to_byte(n_byte)
      case n_byte
        when /(\d)KB/ then
          n_byte.sub(/KB/,'').to_i * 1024
        when /(\d)MB/ then
          n_byte.sub(/MB/,'').to_i * 1048576
        when /(\d)GB/ then
          n_byte.sub(/GB/,'').to_i * 1073741824
        else
         n_byte.to_i
      end
    end
  end
end